Commit dd7517e5 authored by Leigh B. Stoller's avatar Leigh B. Stoller

Ug, no p5-XML-Simple package exists in the older package, so looks

like templates won't be possible in elabinelab unless its a 6.0
elabinelab (which is my default these days).
parent f21102ed
......@@ -415,17 +415,19 @@ Phase "portfixup", "Fixing up packages", sub {
ExecQuietFatal("$ENV PKG_PATH=$packagedir $PKG_ADD rsync-2.6.3_1");
};
# Temporary for template stuff
Phase "Simple", "Looking for Simple XML Parser", sub {
if (!ExecQuiet("$PKG_INFO -x p5-XML-Simple")) {
PhaseSkip("p5-XML-Simple already installed");
}
if ($FBSD_VERSION == 6) {
Phase "Simple", "Looking for Simple XML Parser", sub {
if (!ExecQuiet("$PKG_INFO -x p5-XML-Simple")) {
PhaseSkip("p5-XML-Simple already installed");
}
PhaseFail("Must provide -p (packagedir) argument!")
if (!$packagedir);
PhaseFail("Must provide -p (packagedir) argument!")
if (!$packagedir);
ExecQuietFatal("$ENV PKG_PATH=$packagedir ".
" $PKG_ADD p5-XML-Simple-2.14");
};
ExecQuietFatal("$ENV PKG_PATH=$packagedir ".
" $PKG_ADD p5-XML-Simple-2.14");
};
}
if ($WINSUPPORT) {
Phase "gcc30", "Looking for GCC 3.0 and installing", sub {
if ($FBSD_VERSION > 4 ||
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment